#ifndef __IUF_BULLET
#define __IUF_BULLET
/** This class represent a bullet fired by a ship.
Version History {\small 
\begin{itemize}
\item 0.1 First Release 
\item 0.4s subclassed from GameObjTimed and added strenght,
\end{itemize}
}	
*/
class Bullet : public GameObjTimed
{
	enum{StdTTL=2000};
	public:
	/// Minimal Constructor 
		Bullet(){ttl=StdTTL;};
	/// Constructor with given position and direction
	Bullet(const Point3f &_p, const float _angle)
		:GameObjTimed(_p,_angle){ttl=StdTTL;}

	/// Constructur with given position and direction and velocity
  	Bullet(const Point3f &_p, const float _angle, const Point3f &_v)
			:GameObjTimed(_p,_angle,_v){ttl=StdTTL;}
	
	/** This function draw a single bullet.
  This is the simple bullet (just a short line shading from cyan to dark blue).*/
	int Draw();

	
	int strenght;
};

#endif